I can't update my verizon iPhone 4 to 4.2.8

Discussion in 'iPhone' started by VerizoniPhone5, May 30, 2011.

  1. VerizoniPhone5 macrumors newbie

    Joined:
    Apr 29, 2011
    #1
    I plug my iPhone 4 for Verizon into my Mac and it won't let me update it or restore it

    If i try to update it a message pops up:

    The iPhone "Bobby's iPhone" could not be updated. This device isn't eligible for the requested build.

    If i try to restore it a message pops up:

    The iPhone "Bobby's iPhone" could not be updated. This device isn't eligible for the requested build.

    Please Help! Why is my iPhone doing this?! :eek::eek::eek::eek:
     
  2. The Californian macrumors 68040

    The Californian

    Joined:
    Jan 17, 2009
    Location:
    Surfers Paradise
    #2
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_3_3 like Mac OS X; en-us) AppleWebKit/533.17.9 (KHTML, like Gecko) Version/5.0.2 Mobile/8J2 Safari/6533.18.5)

    Are you Jailbroken?
     
  3. VerizoniPhone5 thread starter macrumors newbie

    Joined:
    Apr 29, 2011
    #3
    No I absolutely despise jailbreaking. I only jailbroken one device and that was my first iPod touch before the App Store was released.
     
  4. dave420 macrumors 65816

    Joined:
    Jun 15, 2010
    #4
    I would recommend following the steps from this thread.
     
  5. VerizoniPhone5 thread starter macrumors newbie

    Joined:
    Apr 29, 2011
    #5
    I got it!

    I modded my hosts file and I needed to switch it back to normal. Thanks Everyone! I'm so happyyyy!!!!
     
  6. akuma13 macrumors 6502a

    akuma13

    Joined:
    Jan 10, 2006
    #6
    this thread was a lot of help for my verizon iPhone. Thanks OP and thanks to all the repliers!
     

Share This Page